%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           py-Asterisk
Version:        0.5.18 
Release:        1%{?dist}
Summary:        Python3 bindings for Asterisk Manager API

Group:          Development/Languages
License:        MIT
URL:            https://github.com/jeansch/py-asterisk
Source0:        py-Asterisk-0.5.18.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python3-devel
%if 0%{?fedora} >= 8
BuildRequires:  python3-setuptools-devel
%else
BuildRequires:  python3-setuptools
%endif
BuildRequires:  python3-nose

%description
The Python Asterisk package (codenamed pyst3) is an attempt to produce
high quality, well documented Python bindings for the Asterisk Manager API.

The eventual goal of the package is to allow rich specification of the Asterisk
configuration in Python rather than in the quirky, unstructured, undocumented
mess that we call the Asterisk configuration files. 

%prep
%setup -q

%build
%{__python3} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python3} setup.py install --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%{_bindir}/asterisk-dump
%{_bindir}/py-asterisk

%changelog
* Tue Oct 10 2023 Nicolás Gudiño <nicolas@issabel.com> - 1.0
- Initial RPM package.

